Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network174.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
174.0.0.0
Broadcast address
175.255.255.255
First usable
174.0.0.1
Last usable
175.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex AE000000 · Integer 2919235584 to 2952790015
Reverse DNS zones
174.in-addr.arpa
175.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101110.00000000.00000000.00000000174.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10101110.00000000.00000000.00000000174.0.0.0
Broadcast10101111.11111111.11111111.11111111175.255.255.255
Split into smaller subnets/14

174.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1174.0.0.0/14174.0.0.1 to 174.3.255.254174.3.255.255262,142
2174.4.0.0/14174.4.0.1 to 174.7.255.254174.7.255.255262,142
3174.8.0.0/14174.8.0.1 to 174.11.255.254174.11.255.255262,142
4174.12.0.0/14174.12.0.1 to 174.15.255.254174.15.255.255262,142
5174.16.0.0/14174.16.0.1 to 174.19.255.254174.19.255.255262,142
6174.20.0.0/14174.20.0.1 to 174.23.255.254174.23.255.255262,142
7174.24.0.0/14174.24.0.1 to 174.27.255.254174.27.255.255262,142
8174.28.0.0/14174.28.0.1 to 174.31.255.254174.31.255.255262,142
9174.32.0.0/14174.32.0.1 to 174.35.255.254174.35.255.255262,142
10174.36.0.0/14174.36.0.1 to 174.39.255.254174.39.255.255262,142
11174.40.0.0/14174.40.0.1 to 174.43.255.254174.43.255.255262,142
12174.44.0.0/14174.44.0.1 to 174.47.255.254174.47.255.255262,142
13174.48.0.0/14174.48.0.1 to 174.51.255.254174.51.255.255262,142
14174.52.0.0/14174.52.0.1 to 174.55.255.254174.55.255.255262,142
15174.56.0.0/14174.56.0.1 to 174.59.255.254174.59.255.255262,142
16174.60.0.0/14174.60.0.1 to 174.63.255.254174.63.255.255262,142
17174.64.0.0/14174.64.0.1 to 174.67.255.254174.67.255.255262,142
18174.68.0.0/14174.68.0.1 to 174.71.255.254174.71.255.255262,142
19174.72.0.0/14174.72.0.1 to 174.75.255.254174.75.255.255262,142
20174.76.0.0/14174.76.0.1 to 174.79.255.254174.79.255.255262,142
21174.80.0.0/14174.80.0.1 to 174.83.255.254174.83.255.255262,142
22174.84.0.0/14174.84.0.1 to 174.87.255.254174.87.255.255262,142
23174.88.0.0/14174.88.0.1 to 174.91.255.254174.91.255.255262,142
24174.92.0.0/14174.92.0.1 to 174.95.255.254174.95.255.255262,142
25174.96.0.0/14174.96.0.1 to 174.99.255.254174.99.255.255262,142
26174.100.0.0/14174.100.0.1 to 174.103.255.254174.103.255.255262,142
27174.104.0.0/14174.104.0.1 to 174.107.255.254174.107.255.255262,142
28174.108.0.0/14174.108.0.1 to 174.111.255.254174.111.255.255262,142
29174.112.0.0/14174.112.0.1 to 174.115.255.254174.115.255.255262,142
30174.116.0.0/14174.116.0.1 to 174.119.255.254174.119.255.255262,142
31174.120.0.0/14174.120.0.1 to 174.123.255.254174.123.255.255262,142
32174.124.0.0/14174.124.0.1 to 174.127.255.254174.127.255.255262,142
33174.128.0.0/14174.128.0.1 to 174.131.255.254174.131.255.255262,142
34174.132.0.0/14174.132.0.1 to 174.135.255.254174.135.255.255262,142
35174.136.0.0/14174.136.0.1 to 174.139.255.254174.139.255.255262,142
36174.140.0.0/14174.140.0.1 to 174.143.255.254174.143.255.255262,142
37174.144.0.0/14174.144.0.1 to 174.147.255.254174.147.255.255262,142
38174.148.0.0/14174.148.0.1 to 174.151.255.254174.151.255.255262,142
39174.152.0.0/14174.152.0.1 to 174.155.255.254174.155.255.255262,142
40174.156.0.0/14174.156.0.1 to 174.159.255.254174.159.255.255262,142
41174.160.0.0/14174.160.0.1 to 174.163.255.254174.163.255.255262,142
42174.164.0.0/14174.164.0.1 to 174.167.255.254174.167.255.255262,142
43174.168.0.0/14174.168.0.1 to 174.171.255.254174.171.255.255262,142
44174.172.0.0/14174.172.0.1 to 174.175.255.254174.175.255.255262,142
45174.176.0.0/14174.176.0.1 to 174.179.255.254174.179.255.255262,142
46174.180.0.0/14174.180.0.1 to 174.183.255.254174.183.255.255262,142
47174.184.0.0/14174.184.0.1 to 174.187.255.254174.187.255.255262,142
48174.188.0.0/14174.188.0.1 to 174.191.255.254174.191.255.255262,142
49174.192.0.0/14174.192.0.1 to 174.195.255.254174.195.255.255262,142
50174.196.0.0/14174.196.0.1 to 174.199.255.254174.199.255.255262,142
51174.200.0.0/14174.200.0.1 to 174.203.255.254174.203.255.255262,142
52174.204.0.0/14174.204.0.1 to 174.207.255.254174.207.255.255262,142
53174.208.0.0/14174.208.0.1 to 174.211.255.254174.211.255.255262,142
54174.212.0.0/14174.212.0.1 to 174.215.255.254174.215.255.255262,142
55174.216.0.0/14174.216.0.1 to 174.219.255.254174.219.255.255262,142
56174.220.0.0/14174.220.0.1 to 174.223.255.254174.223.255.255262,142
57174.224.0.0/14174.224.0.1 to 174.227.255.254174.227.255.255262,142
58174.228.0.0/14174.228.0.1 to 174.231.255.254174.231.255.255262,142
59174.232.0.0/14174.232.0.1 to 174.235.255.254174.235.255.255262,142
60174.236.0.0/14174.236.0.1 to 174.239.255.254174.239.255.255262,142
61174.240.0.0/14174.240.0.1 to 174.243.255.254174.243.255.255262,142
62174.244.0.0/14174.244.0.1 to 174.247.255.254174.247.255.255262,142
63174.248.0.0/14174.248.0.1 to 174.251.255.254174.251.255.255262,142
64174.252.0.0/14174.252.0.1 to 174.255.255.254174.255.255.255262,142
65175.0.0.0/14175.0.0.1 to 175.3.255.254175.3.255.255262,142
66175.4.0.0/14175.4.0.1 to 175.7.255.254175.7.255.255262,142
67175.8.0.0/14175.8.0.1 to 175.11.255.254175.11.255.255262,142
68175.12.0.0/14175.12.0.1 to 175.15.255.254175.15.255.255262,142
69175.16.0.0/14175.16.0.1 to 175.19.255.254175.19.255.255262,142
70175.20.0.0/14175.20.0.1 to 175.23.255.254175.23.255.255262,142
71175.24.0.0/14175.24.0.1 to 175.27.255.254175.27.255.255262,142
72175.28.0.0/14175.28.0.1 to 175.31.255.254175.31.255.255262,142
73175.32.0.0/14175.32.0.1 to 175.35.255.254175.35.255.255262,142
74175.36.0.0/14175.36.0.1 to 175.39.255.254175.39.255.255262,142
75175.40.0.0/14175.40.0.1 to 175.43.255.254175.43.255.255262,142
76175.44.0.0/14175.44.0.1 to 175.47.255.254175.47.255.255262,142
77175.48.0.0/14175.48.0.1 to 175.51.255.254175.51.255.255262,142
78175.52.0.0/14175.52.0.1 to 175.55.255.254175.55.255.255262,142
79175.56.0.0/14175.56.0.1 to 175.59.255.254175.59.255.255262,142
80175.60.0.0/14175.60.0.1 to 175.63.255.254175.63.255.255262,142
81175.64.0.0/14175.64.0.1 to 175.67.255.254175.67.255.255262,142
82175.68.0.0/14175.68.0.1 to 175.71.255.254175.71.255.255262,142
83175.72.0.0/14175.72.0.1 to 175.75.255.254175.75.255.255262,142
84175.76.0.0/14175.76.0.1 to 175.79.255.254175.79.255.255262,142
85175.80.0.0/14175.80.0.1 to 175.83.255.254175.83.255.255262,142
86175.84.0.0/14175.84.0.1 to 175.87.255.254175.87.255.255262,142
87175.88.0.0/14175.88.0.1 to 175.91.255.254175.91.255.255262,142
88175.92.0.0/14175.92.0.1 to 175.95.255.254175.95.255.255262,142
89175.96.0.0/14175.96.0.1 to 175.99.255.254175.99.255.255262,142
90175.100.0.0/14175.100.0.1 to 175.103.255.254175.103.255.255262,142
91175.104.0.0/14175.104.0.1 to 175.107.255.254175.107.255.255262,142
92175.108.0.0/14175.108.0.1 to 175.111.255.254175.111.255.255262,142
93175.112.0.0/14175.112.0.1 to 175.115.255.254175.115.255.255262,142
94175.116.0.0/14175.116.0.1 to 175.119.255.254175.119.255.255262,142
95175.120.0.0/14175.120.0.1 to 175.123.255.254175.123.255.255262,142
96175.124.0.0/14175.124.0.1 to 175.127.255.254175.127.255.255262,142
97175.128.0.0/14175.128.0.1 to 175.131.255.254175.131.255.255262,142
98175.132.0.0/14175.132.0.1 to 175.135.255.254175.135.255.255262,142
99175.136.0.0/14175.136.0.1 to 175.139.255.254175.139.255.255262,142
100175.140.0.0/14175.140.0.1 to 175.143.255.254175.143.255.255262,142
101175.144.0.0/14175.144.0.1 to 175.147.255.254175.147.255.255262,142
102175.148.0.0/14175.148.0.1 to 175.151.255.254175.151.255.255262,142
103175.152.0.0/14175.152.0.1 to 175.155.255.254175.155.255.255262,142
104175.156.0.0/14175.156.0.1 to 175.159.255.254175.159.255.255262,142
105175.160.0.0/14175.160.0.1 to 175.163.255.254175.163.255.255262,142
106175.164.0.0/14175.164.0.1 to 175.167.255.254175.167.255.255262,142
107175.168.0.0/14175.168.0.1 to 175.171.255.254175.171.255.255262,142
108175.172.0.0/14175.172.0.1 to 175.175.255.254175.175.255.255262,142
109175.176.0.0/14175.176.0.1 to 175.179.255.254175.179.255.255262,142
110175.180.0.0/14175.180.0.1 to 175.183.255.254175.183.255.255262,142
111175.184.0.0/14175.184.0.1 to 175.187.255.254175.187.255.255262,142
112175.188.0.0/14175.188.0.1 to 175.191.255.254175.191.255.255262,142
113175.192.0.0/14175.192.0.1 to 175.195.255.254175.195.255.255262,142
114175.196.0.0/14175.196.0.1 to 175.199.255.254175.199.255.255262,142
115175.200.0.0/14175.200.0.1 to 175.203.255.254175.203.255.255262,142
116175.204.0.0/14175.204.0.1 to 175.207.255.254175.207.255.255262,142
117175.208.0.0/14175.208.0.1 to 175.211.255.254175.211.255.255262,142
118175.212.0.0/14175.212.0.1 to 175.215.255.254175.215.255.255262,142
119175.216.0.0/14175.216.0.1 to 175.219.255.254175.219.255.255262,142
120175.220.0.0/14175.220.0.1 to 175.223.255.254175.223.255.255262,142
121175.224.0.0/14175.224.0.1 to 175.227.255.254175.227.255.255262,142
122175.228.0.0/14175.228.0.1 to 175.231.255.254175.231.255.255262,142
123175.232.0.0/14175.232.0.1 to 175.235.255.254175.235.255.255262,142
124175.236.0.0/14175.236.0.1 to 175.239.255.254175.239.255.255262,142
125175.240.0.0/14175.240.0.1 to 175.243.255.254175.243.255.255262,142
126175.244.0.0/14175.244.0.1 to 175.247.255.254175.247.255.255262,142
127175.248.0.0/14175.248.0.1 to 175.251.255.254175.251.255.255262,142
128175.252.0.0/14175.252.0.1 to 175.255.255.254175.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses